Mar
06
2009
bus error at firefox upgrade to 3.0.7

Αντιμετώπισα πρόβλημα μετά την ολοκλήρωση της αναβάθμισης του firefox στην έκδοση 3.0.7.
Το πρόγραμμα δεν εκκινούσε. Να σημειώσω ότι δεν έχω εγκατεστημένο το firefox μέσω deb αλλά από binary tar.gz

Το μήνυμα που μου εμφάνισε:

bus error

Στην αρχή υπέθεσα ότι μάλλον θα είναι πρόβλημα κάποιας βιβλιοθήκης, οπότε έτρεξα την παρακάτω εντολή:

ldconfig

Δυστυχώς όμως διαπίστωσα ότι το πρόβλημα παρέμεινε.
Αναζητώντας πληροφορίες στο διαδίκτυο συμπέρανα ότι η αναβάθμιση μάλλον “πείραξε” λανθασμένα κάποια αρχεία.

Οπότε χωρίς πανικό έκανα το προφανές.
Κατέβασα την πλήρη εκδοση του firefox 3.0.07 και την πέρασα πάνω από την ήδη υπάρχουσα εγκατεστημένη.

Και μετά μια χαρά, δεν έχασα ούτε τα plugins/ούτε το flash/java ούτε τις ρυθμίσεις - τπτ απολύτως.
Οπότε εάν βρεθείτε με το παραπάνω μήνυμα - απλά δοκιμάστε να επαναεγκαταστήσετε τον firefox.